using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class updatetablecandidateaddhighdegree : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "HighDegree",
                table: "PositionExams",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "ปริญญาขึ้นไป");

            migrationBuilder.AddColumn<DateTime>(
                name: "RegisterDate",
                table: "Candidates",
                type: "datetime(6)",
                maxLength: 40,
                nullable: true,
                comment: "วันที่สมัคร");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "HighDegree",
                table: "PositionExams");

            migrationBuilder.DropColumn(
                name: "RegisterDate",
                table: "Candidates");
        }
    }
}
